Skip to main content

Move thing to another tenant

PUT 

https://apis.<domain>/iot/provision/things/:id/move

Move a thing to a different tenant.

Authorization Action:

core:provision:move

Request

Path Parameters

    id stringrequired

Bodyrequired

    tenantstringrequired

Responses

No Content - thing moved successfully

Authorization: http

name: bearerAuthtype: httpscheme: bearerdescription: * Users access: `Authorization: Bearer <user_token>`
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://apis.<domain>/iot/provision/things/:id/move");
request.Headers.Add("Authorization", "Bearer <token>");
var content = new StringContent("{\n \"tenant\": \"string\"\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Base URL
https://apis.<domain>
Auth
Parameters
— pathrequired
Body required
{
  "tenant": "string"
}